Bug 1772368 - Wrong path in pkg-config file
Summary: Wrong path in pkg-config file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nss_wrapper
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 09:28 UTC by Lukas Slebodnik
Modified: 2019-11-27 00:23 UTC (History)
3 users (show)

Fixed In Version: nss_wrapper-1.1.7-3.fc30 nss_wrapper-1.1.7-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-26 23:51:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Lukas Slebodnik 2019-11-14 09:28:04 UTC
Description of problem:
The latest update os nss_wrapper chnge content of pkg config file and thus wrong patch is returned which cannot se used in LD_PRELOAD

Version-Release number of selected component (if applicable):
sh$ rpm -q nss_wrapper
nss_wrapper-1.1.7-1.fc32.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. dnf install -y pkgconf-pkg-config nss_wrapper
2. LD_PRELOAD=`pkg-config --libs nss_wrapper` NSS_WRAPPER_HOSTNAME=test.example.org hostname

Actual results:
[build@06d0c240b056 sssd]$ LD_PRELOAD=`pkg-config --libs nss_wrapper` NSS_WRAPPER_HOSTNAME=test.example.org hostname
ERROR: ld.so: object 'lib64/libnss_wrapper.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
06d0c240b056

[build@06d0c240b056 sssd]$ hostname
06d0c240b056

Expected results:
[build@06d0c240b056 sssd]$ LD_PRELOAD=`pkg-config --libs nss_wrapper` NSS_WRAPPER_HOSTNAME=test.example.org hostname
test.example.org

[build@06d0c240b056 sssd]$ hostname
06d0c240b056

Additional info:
sh-5.0$ cat /usr/lib64/pkgconfig/nss_wrapper.pc 
Name: nss_wrapper
Description: The nss_wrapper library
Version: 1.1.7
Libs: lib64/libnss_wrapper.so

Comment 1 Fedora Update System 2019-11-18 14:02:59 UTC
FEDORA-2019-3b613ee70b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3b613ee70b

Comment 2 Fedora Update System 2019-11-18 14:14:37 UTC
FEDORA-2019-eff5e788cb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eff5e788cb

Comment 3 Fedora Update System 2019-11-18 15:16:39 UTC
FEDORA-2019-e2249b36e6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e2249b36e6

Comment 4 Fedora Update System 2019-11-19 02:13:33 UTC
nss_wrapper-1.1.7-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-52875595a4

Comment 5 Fedora Update System 2019-11-19 03:15:36 UTC
nss_wrapper-1.1.7-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e2249b36e6

Comment 6 Fedora Update System 2019-11-26 23:51:48 UTC
nss_wrapper-1.1.7-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-11-27 00:23:44 UTC
nss_wrapper-1.1.7-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.